2 Replies Latest reply on Feb 22, 2017 2:56 PM by E. Devault

    hosting process failed to launch VSTA

    E. Devault

      I have a subroutine that is initiated from a button on a Modeless form. The reason it is modeless is so the user can select certain lines in an existing sketch and then run code on them. Everything works fine up until the subroutine is ran and I get an error, "Hosting Process Failed to Launch". I have no idea what that means or how to get rid of it.

      fail.jpg

      <code>

      Public Shared Sub door()

       

       

              swFeat = swSelMgr.GetSelectedObject5(1)

              boolstatus = swSketchManager.SketchUseEdge3(False, True)

              swSketchManager.InsertSketch2(True)

       

       

              swFeat = swModelDocExt.GetLastFeatureAdded

              boolstatus = swModelDocExt.SelectByID2(swFeat.Name, "SKETCH", 0, 0, 0, False, 1, Nothing, 0)

              boolstatus = swDoc.InsertPlanarRefSurface()

              swDoc.ClearSelection2(True)

       

       

              swFeat = swModelDocExt.GetLastFeatureAdded

              boolstatus = swModelDocExt.SelectByID2(swFeat.Name, "SKETCH", 0, 0, 0, False, 1, Nothing, 0)

              boolstatus = swDoc.SelectedFeatureProperties(0, 0, 0, 0, 0, 0, 0, 1, 0, "Door Surface")

              swDoc.ClearSelection2(True)

       

       

              boolstatus = swModelDocExt.SelectByID2("Front Plane", "PLANE", 0, 0, 0, False, 0, Nothing, 0)

              swSketchManager.Insert3DSketch(True)

              swSketch = swDoc.GetActiveSketch2

              swFeat = swSketch

              swFeat.Name = "Door Straps sk 3D"

          End Sub

      </code>